Index: trunk/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 345)
+++ trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 442)
@@ -22,9 +22,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
-Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
-Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
-Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
-Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
+Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
+Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
+Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
+Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
 
 #=========== Motion Search =============
Index: trunk/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 345)
+++ trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 442)
@@ -22,9 +22,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
-Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
-Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
-Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
-Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
+Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
+Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
+Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
+Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
 
 #=========== Motion Search =============
Index: trunk/cfg/encoder_lowdelay_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main.cfg	(revision 345)
+++ trunk/cfg/encoder_lowdelay_main.cfg	(revision 442)
@@ -22,9 +22,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
-Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
-Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
-Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
-Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
+Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
+Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
+Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
+Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
 
 #=========== Motion Search =============
Index: trunk/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main10.cfg	(revision 345)
+++ trunk/cfg/encoder_lowdelay_main10.cfg	(revision 442)
@@ -22,9 +22,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
-Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
-Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
-Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
-Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
+Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
+Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
+Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
+Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
 
 #=========== Motion Search =============
Index: trunk/cfg/encoder_randomaccess_main.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main.cfg	(revision 345)
+++ trunk/cfg/encoder_randomaccess_main.cfg	(revision 442)
@@ -22,22 +22,22 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
-Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
-Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
-Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
-Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
-Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
-Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
-Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
-Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0                                            0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1         0
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1           0
+Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1         0
+Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0         0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0         0
+Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1         0
+Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0         0
 
-FrameEL1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
-FrameEL2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
-FrameEL3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1
-FrameEL4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1
-FrameEL5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
-FrameEL6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             0
-FrameEL7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             0
-FrameEL8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             0
+FrameEL1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0                                          0
+FrameEL2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1       0
+FrameEL3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1         0
+FrameEL4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1       0
+FrameEL5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0       0
+FrameEL6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             0                                          1    1 1 0 1
+FrameEL7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             0                                          0
+FrameEL8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             0                                          1    1 1 0 1
 #=========== Motion Search =============
 FastSearch                    : 1           # 0:Full search  1:TZ search
Index: trunk/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main10.cfg	(revision 345)
+++ trunk/cfg/encoder_randomaccess_main10.cfg	(revision 442)
@@ -22,22 +22,22 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
-Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
-Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
-Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
-Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
-Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
-Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
-Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
-Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0                                            0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1         0
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1           0
+Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1         0
+Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0         0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0         0
+Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1         0
+Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0         0
 
-FrameEL1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
-FrameEL2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
-FrameEL3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1
-FrameEL4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1
-FrameEL5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
-FrameEL6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             0
-FrameEL7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             0
-FrameEL8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             0
+FrameEL1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0                                          0
+FrameEL2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1       0
+FrameEL3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1         0
+FrameEL4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1       0
+FrameEL5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0       0
+FrameEL6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             0                                          1    1 1 0 1
+FrameEL7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             0                                          0
+FrameEL8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             0                                          1    1 1 0 1
 #=========== Motion Search =============
 FastSearch                    : 1           # 0:Full search  1:TZ search
Index: trunk/cfg/layers.cfg
===================================================================
--- trunk/cfg/layers.cfg	(revision 345)
+++ trunk/cfg/layers.cfg	(revision 442)
@@ -1,11 +1,11 @@
 NumLayers                     : 2
 AvcBase                       : 0
-ScalabilityMask0              : 0           # Multiview
-ScalabilityMask1              : 1           # Scalable
+ScalabilityMask1              : 0           # Multiview
+ScalabilityMask2              : 1           # Scalable
 AdaptiveResolutionChange      : 0           # Resolution change frame (0: disable)
-
+MaxTidRefPresentFlag          : 1           # max_tid_ref_present_flag (0=not present, 1=present(default))
 #============= LAYER 0 ==================
 QP0                           : 22
-
+MaxTidIlRefPicsPlus10         : 1           # max_tid_il_ref_pics_plus1 for layer0
 #============ Rate Control ==============
 RateControl0                  : 0           # Rate control: enable rate control for layer 0
Index: trunk/cfg/layers_avcbase.cfg
===================================================================
--- trunk/cfg/layers_avcbase.cfg	(revision 345)
+++ trunk/cfg/layers_avcbase.cfg	(revision 442)
@@ -1,6 +1,6 @@
 NumLayers                     : 2
 AvcBase                       : 1
-ScalabilityMask0              : 0           # Multiview
-ScalabilityMask1              : 1           # Scalable
+ScalabilityMask1              : 0           # Multiview
+ScalabilityMask2              : 1           # Scalable
 AdaptiveResolutionChange      : 0           # Resolution change frame (0: disable)
 
Index: trunk/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,6 +17,8 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,6 +17,8 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,6 +17,8 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,6 +17,8 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,6 +17,8 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: trunk/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 345)
+++ trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 442)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
